Subject: Re: Cannot compile mouse support - help!

From: [email-masked]
Date: Thu, 08 Aug 96 16:37:03 cet

Hi jj,
You are lucky! we must be the only Debian Linux users with the same mouse 
and graphic card on this planet :-). From reading your mail it seems you have 
gone all the way through it... Oooops!!! Wait a minute. Try: 

   #  gpm -t 'bm' -m  /dev/inportbm

Remember from the busmouse HOWTO: one thing is the protocol (busmouse) 
and the other the hardware interface or device driver (/dev/inportbm)

For me it worked "out of the box". Well, you already know... after recompiling 
as you did. I have choosen busmouse compiled in, but it should work as a a 
module too.  I prefer to see that the "...mouse is detected"  when running 
dmesg. The only difference between your setup and mine is the interrupt 
which I have on IRQ=5 (I thought it was the default for this mouse!). 
But maybe you don't want that because of conflicts... Anyway, this is just 
to give you some hope: busmouse (inportbm) on IRQ5 + ATI Ultra works fine 
for somebody else.

Just a comment I find useful to minimize the changes when switching mice 
(serial <-> busmouse). I don't use the real device names 
(ttySn or inportbm) but a link to them via: 
# (cd /dev ; ln -sf inportbm mouse) 
or 
# (cd /dev ; ln -sf ttyS0 mouse) 

and start both gmp (look at /etc/init.d/gpm ) and X (look at etc/X11/XF86Config)
by pointing to /dev/mouse. Then only change you need to do when switching mice 
is the protocol: [bm|ms] for gpm and [Busmouse|Microsoft(<-check please)] for X.
e.g. for gpm 
     gpm -t bm   # -m is /dev/mouse is default. 
or
     gpm         # ms is the default and mouse is the default too!
 
Check the sintax on the man page.

Hope it helps!

Lazaro <[email-masked]>

P.S. Warning to other newcomers and busmice owners: The standard 2.0.6 
kernel in the boot.bin 1996-07-14 disks does not include the module for 
busmice). Under special-kernels/.. many of the 2.0.5 images do support the 
busmice drivers as modules. The Config with whiche they were created is 
there too. For me was easier to recompile :-)

>_________________________ Reply Separator _________________________________
>Subject: Cannot compile mouse support - help!
>Author:  [email-masked] at cclink
>Date:    08.08.96 15:43
>
>
>Hi all,
>
>  I'm trying to compile mouse support into my kernel (2.0.6), but for the
>life of me I can't get the mouse to function.  I have a busmouse on an
>ATI Graphics Ultra + card (which the HOWTO says is a regular busmouse,
>NOT an ATI busmouse).  When I run MSD under dos, it reports a busmouse
>using IRQ4.  So far, so good.
>
>  When I try to use the mouse (gpm -m /dev/inportbm) I just get the
>message "/dev/inportbm - No such device".  So I tried removing the
>inportbm and recreating it (mknod /dev/inportbm c 10 2); running the
>"file" command on the new inportbm indicates that it is a character
>special (10, 2).  Still no luck - no such device.
>
>
>  I've tried compiling with busmouse support and NO serial support,
>compiling with serial support and NO busmouse support, and compiling
>with both busmouse AND serial support.  In all cases I get "no such device"
>when using /dev/inportbm.  On the two kernels with serial support, the
>gpm -m /dev/ttys0 command does not fail with an error, but it does not
>provide any visible mouse support either.  And I have checked that
>busmouse.h #defines MOUSE_IRQ = 4.  I set both serial and busmouse support
>to be in the kernel, not in modules.
>
>  I've read the busmouse-HOWTO and the FAQ and have not been able to
>solve this problem.  Does anybody have any ideas what I'm doing wrong here?
>The mouse works fine under DOS/Windows, so it shouldn't be a hardware problem.
>
>  Thanks all.
>
>-jj